> ## Documentation Index
> Fetch the complete documentation index at: https://developers.uqpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Regions

> 查询指定国家的地区列表，用于填充 Travel Rule 数据中的受益人城市/地区。[  *Stablecoin Account API 发布方免责声明*](/zh/stablecoin-account/v1.6/guide/stablecoin-account-api-publisher-disclaimer)



## OpenAPI

````yaml /zh/stablecoin-account/v1.6/ramp.yaml get /v1/ramp/wallet_address/regions
openapi: 3.0.2
info:
  title: Stablecoin Account API
  version: 1.0.4
  x-source-en-commit: 4413eca
  x-source-en-path: stablecoin-account/v1.6/ramp.yaml
  description: |
    UQPAY Stablecoin Account API 为法币与加密货币的兑换提供全面的稳定币账户管理与支付解决方案，实现完整的资金流转闭环能力。

    ## 核心功能
    - 资产管理：查询并管理多币种的钱包余额
    - 法币转账：在 Stablecoin Account 与 Global Account 系统之间划转资金
    - 货币兑换：基于实时报价的加密货币与法币双向兑换
    - 加密货币充值：通过地址管理接收加密货币充值
    - 加密货币提现：发起并跟踪加密货币提现

    ## 身份验证
    调用 UQPAY API 时，使用 API 密钥对客户端请求进行身份验证。
    API 密钥是用于验证用户身份、授予特权操作访问权限的唯一数据字符串。
    请始终对 API 密钥保密并妥善保管。

    ## 快速开始
    1. 获取 API 凭证（x-client-id 和 x-api-key）
    2. 通过 POST /api/v1/connect/token 请求 Access Token
    3. 使用沙盒 URL 搭建测试环境
    4. 通过 x-auth-token 请求头实现身份验证
    5. 从基础操作开始

    ## 技术支持
    如需技术支持与集成协助，请联系 UQPAY 支持团队。
  contact:
    name: UQPAY Support
    url: https://www.uqpay.com/support
    email: ramp.tech@uqpay.com
  license:
    name: Proprietary
    url: https://www.uqpay.com/legal/api-terms
  termsOfService: https://www.uqpay.com/legal/terms
  x-api-id: ramp-api-v1.0.0
  x-logo:
    url: https://uqpay.com/img/UQPAY_LogoAnimv2.gif
    backgroundColor: '#FFFFFF'
    altText: UQPAY Logo
  x-categories:
    - Stablecoin Account
    - Payment Processing
    - Cryptocurrency
    - Fiat Exchange
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: 沙盒环境基础 URL。
  - url: https://api.uqpay.com/api
    description: 生产环境基础 URL。
security: []
tags:
  - name: Assets
    description: 管理稳定币钱包账户，并查询不同币种的余额。
  - name: Transfer (Out/In)
    description: 在 Stablecoin Account 与 Global Account 系统之间划转资金。
  - name: Conversions
    description: 在加密货币与法币之间执行货币兑换。
  - name: Deposits
    description: 管理加密货币充值地址并跟踪充值交易。
  - name: Withdrawals
    description: 创建并管理加密货币提现请求。
  - name: Configuration
    description: 查询支持的资产、网络与系统配置。
  - name: Address Book
    description: 管理用于提现的钱包地址簿条目。
  - name: Travel Rule
    description: 用于为地址簿条目填充 Travel Rule 受益人信息的参考数据（VASP、国家、地区）。
paths:
  /v1/ramp/wallet_address/regions:
    get:
      tags:
        - Travel Rule
      summary: List Regions
      description: >-
        查询指定国家的地区列表，用于填充 Travel Rule 数据中的受益人城市/地区。[  *Stablecoin Account API
        发布方免责声明*](/zh/stablecoin-account/v1.6/guide/stablecoin-account-api-publisher-disclaimer)
      operationId: list-regions
      parameters:
        - $ref: '#/components/parameters/XOnBehalfOf'
        - name: country
          in: query
          required: true
          schema:
            type: string
          description: 国家码（ISO 3166-1 alpha-2，小写）
      responses:
        '200':
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          description: 成功获取地区列表（该国家无地区时返回空数组）
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegionListResponse'
                title: RegionListResponse
      security:
        - XAuthToken: []
      externalDocs:
        description: API 发布方免责声明 – UQPAY Australia
        url: >-
          /stablecoin-account/v1.6/guide/stablecoin-account-api-publisher-disclaimer
components:
  parameters:
    XOnBehalfOf:
      in: header
      name: x-on-behalf-of
      schema:
        type: string
      required: false
      description: >
        指定代表哪个子账户发起请求。应设置为 `account_id`，可通过 List Connected Accounts
        接口获取。若省略或为空，则请求以主账户身份执行。

        更多信息参见 Connected Accounts。
      example: 18523f72-f4de-4f9c-bb8e-ec7d1c4f32be
  headers:
    XResponseId:
      description: 响应的通用唯一标识符（UUID v4）。在与 UQPAY 支持团队沟通时，有助于定位某次请求。
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    RegionListResponse:
      type: object
      required:
        - code
        - message
        - data
      properties:
        code:
          type: integer
          example: 200
        message:
          type: string
          example: Success
        data:
          type: array
          items:
            type: object
            properties:
              regionName:
                type: string
                description: 地区名。用于 `beneficiary_information.city`。
                example: Singapore
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: UQPay 提供的用于登录的 API Token。

````